Imports System
Imports System.Collections.Generic
Imports System.ComponentModel
Imports System.Configuration.Install

<RunInstaller(True)> Public Class ServiceInstaller
    Inherits System.Configuration.Install.Installer

    Dim Hl7ServerProcessInstaller As System.ServiceProcess.ServiceProcessInstaller
    Dim Hl7ServerInstaller As System.ServiceProcess.ServiceInstaller

    Public Sub New()
        Hl7ServerProcessInstaller = New System.ServiceProcess.ServiceProcessInstaller()
        Hl7ServerInstaller = New System.ServiceProcess.ServiceInstaller()

        Hl7ServerProcessInstaller.Account = System.ServiceProcess.ServiceAccount.LocalSystem
        'Hl7ServerProcessInstaller.Password = "Administrator"
        'Hl7ServerProcessInstaller.Username = "Password"

        Hl7ServerInstaller.ServiceName = "HL7 Server Service"
        Hl7ServerInstaller.Description = "Example HL7 Server"

        Installers.Add(Hl7ServerProcessInstaller)
        Installers.Add(Hl7ServerInstaller)
    End Sub
End Class
